> ## Documentation Index > Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete personal data > Used to delete personally identifiable information from a user profile. For a full guide on the features and functionality in Xtremepush that can assist with your data controller obligations under GDPR, please visit our section on [GDPR compliance](https://docs.xtremepush.com/docs/gdpr-compliance). ## OpenAPI ````json POST /delete-personal-data { "openapi": "3.1.0", "info": { "title": "external-api", "version": "1" }, "servers": [ { "url": "https://api.eu.xtremepush.com/api/external" } ], "paths": { "/delete-personal-data": { "post": { "summary": "Delete personal data", "description": "Used to delete personally identifiable information from a user profile.\n\nFor a full guide on the features and functionality in Xtremepush that can assist with your data controller obligations under GDPR, please visit our section on [GDPR compliance](https://docs.xtremepush.com/docs/gdpr-compliance).", "operationId": "delete-personal-data", "requestBody": { "content": { "application/json": { "schema": { "type": "object", "required": [ "apptoken", "user_id" ], "properties": { "apptoken": { "type": "string", "description": "Your App token" }, "user_id": { "type": "string", "description": "The external user ID whose personal data is to be deleted" } } } } } }, "responses": { "200": { "description": "200", "content": { "application/json": { "schema": { "type": "object", "properties": { "code": { "type": "integer", "example": "200", "default": "0" }, "success": { "type": "boolean", "example": "true", "default": "true" } } }, "examples": { "Result": { "value": { "code": "200", "success": "true" } } } } } }, "404": { "description": "404", "content": { "application/json": { "schema": { "type": "object", "properties": { "code": { "type": "integer", "example": "404", "default": "0" }, "message": { "type": "string", "example": "Not Found" }, "success": { "type": "boolean", "example": "false", "default": "true" } } }, "examples": { "Result": { "value": { "code": "404", "message": "Not Found", "success": "false" } } } } } } }, "tags": [ "PII Deletion Methods" ] } } } } ````